program checkoutput
  use dal
  use errorhandling

  implicit none

  type(DataSetT)                :: inDataSet
  type(TableT)                  :: inTable
  type(ColumnT)                 :: inColumn
  integer                       :: i,inEvents
  logical ok
  real(kind=single), pointer    :: factor(:)      


  
  inDataSet = dataSet("RRRR_PPPPPPOOLL_OMS00a02FAE.FIT", read)
  inTable = table(inDataSet,"OMFAE1") 
  inEvents = numberofRows(inTable)


  inColumn = column(inTable, "FACTOR", Read)
  factor => real32data(inColumn)
  
  
  ok = .true.
  
  do i = 0, inEvents-1
     if (factor(i) .lt. 0) then
        ok = .false. 
        EXIT
     endif
  enddo

  if (.not.ok) then

     call error("neg values","Negative value found in column FACTOR")
     
  endif
  
  call release(inDataSet)
end 







